import request from '@/utils/request'

// :明细界面
export function getList(query) {
  return request({
    url: "/report/pro/materialUse/getList",
    method: "post",
    data: query,
  });
}


// :统计方式工序
export function getListByProcess(query) {
  return request({
    url: '/report/pro/feedback/getListByProcess',
    method: "post",
    data: query
  });
}

// :统计方式用户
export function getInputOutputRatioList(query) {
    return request({
      url: '/report/pro/materialUse/getInputOutputRatioList',
      method: "post",
      data: query
    });
  }
  // :统计方式车间
export function getBackList(query) {
    return request({
      url: '/report/pro/materialUse/getBackList',
      method: "post",
      data: query
    });
  }

// :统计方式主要异常原因分析
export function getComplementList(query) {
    return request({
      url: '/report/pro/materialUse/getComplementList',
      method: "post",
      data: query
    });
  }

  // :统计方式工作中心
export function getListByWorkstation(query) {
    return request({
      url: '/report/pro/feedback/getListByWorkstation',
      method: "post",
      data: query
    });
  }

    // :统计方式工作单元
export function getListByWorkunit(query) {
    return request({
      url: '/report/pro/feedback/getListByWorkunit',
      method: "post",
      data: query
    });
  }

// :统计方式不合格原因
export function getListByDefect(query) {
  return request({
    url: '/report/pro/feedback/getListByDefect',
    method: "post",
    data: query
  });
}